Subject: Re: forcedeth problems on 2.6.20-rc6-mm3

From: Robert Hancock <[email-masked]>
Date: Sun, 04 Feb 2007 23:48:33 -0600

Andrew Morton wrote:
> On Sun, 04 Feb 2007 23:13:09 -0600 Robert Hancock <[email-masked]> wrote:
> 
>> Something's busted with forcedeth in 2.6.20-rc6-mm3 for me relative to 
>> 2.6.20-rc6. There's no errors in dmesg, but it seems no packets ever get 
>> received and so the machine can't get an IP address. I tried reverting 
>> all the -mm changes to drivers/net/forcedeth.c, which didn't help. The 
>> network controller shares an IRQ with the USB OHCI controller which is 
>> receiving interrupts, so it doesn't seem like an interrupt routing 
>> problem, though I suppose something wierd could be happening there.
>>
>> This is on an Asus A8N-SLI Deluxe (CK804 chipset) on x86_64.
>>
>> Any suggestions on how to debug/what to try reverting to see what's 
>> causing this?
> 
> There are many forcedeth changes in git-netdev-all.patch.  Can you
> try reverting drivers/net/forcedeth.c back to the unpatched version
> from 2.6.20-rc6?
> 
> Thanks.
> 

That's essentially what I did, it didn't appear to help. I assume the
problem must lie elsewhere..

-- 
Robert Hancock      Saskatoon, SK, Canada
To email, remove "nospam" from [email-masked]
Home Page: http://www.roberthancock.com/